> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ErpSyncLog

## "ErpSyncLog"

This provider name is implemented by the class <see cref="T:SuperOffice.CRM.ArchiveLists.ErpSyncLogProvider">SuperOffice.CRM.ArchiveLists.ErpSyncLogProvider</see> inside NetServer's SODatabase assembly.

## Supported Entities

| Name  | Description |
| ----- | ----------- |
| "all" | All         |

## Supported Columns

| Name        | Restriction | Description                                                                             | OrderBy |
| ----------- | ----------- | --------------------------------------------------------------------------------------- | ------- |
| getAllRows  | bool        | GetAll: Get all rows of archive - use with care, you may be fetching the whole database |         |
| getNoRows   | bool        | GetNone: Do not get any rows from the archive                                           |         |
| id          | *None*      |                                                                                         |         |
| connection  | string      | Connection                                                                              | x       |
| source      | string      | Source                                                                                  | x       |
| target      | string      | Target                                                                                  | x       |
| crmfieldkey | string      | Field                                                                                   | x       |
| oldvalue    | string      | Old Value                                                                               | x       |
| newvalue    | string      | New Value                                                                               | x       |
| updated     | string      | When                                                                                    | x       |

## Sample

```http! theme={null}
GET /api/v1/archive/ErpSyncLog?$select=connection,target
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv

```

See also: <see cref="T:SuperOffice.CRM.Services.IArchiveAgent">IArchiveAgent</see>.


## Related topics

- [ErpSyncLog table](/en/database/tables/erpsynclog.md)
- [ErpExternalKey table](/en/database/tables/erpexternalkey.md)
- [Sync All](/en/api/reference/restful/agent/erpsync_agent/sync-all.md)
- [ERP sync client GUI](/en/api/plugins/erp-connectors/client-gui.md)
- [Erp Sync engine operation](/en/api/plugins/erp-connectors/sync-operation.md)
- [Sync Service](/en/api/plugins/erp-connectors/architecture/sync-service.md)
